
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops replace

Replace cluster resources.

### Synopsis

Replace a resource desired configuration by filename or stdin.

```
kops replace {-f FILENAME}... [flags]
```

### Examples

```
  # Replace a cluster desired configuration using a YAML file
  kops replace -f my-cluster.yaml
  
  # Replace an instancegroup using YAML passed into stdin.
  cat instancegroup.yaml | kops replace -f -
  
  # Note, if the resource does not exist the command will error, use --force to provision resource
  kops replace -f my-cluster.yaml --force
```

### Options

```
  -f, --filename strings   A list of one or more files separated by a comma.
      --force              Force any changes, which will also create any non-existing resource
  -h, --help               help for replace
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops](kops.md)	 - kOps is Kubernetes Operations.

